MantisBT  Site | Plugring | Plugins API and Macros | Forum | English Forum | Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003441Far ManagerCommand Line/Executepublic2017-06-05 22:432017-06-10 20:00
Reporterrdavidiuk 
Assigned ToDrKnS 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003441: После Alt+F9 Far не восстанавливает высоту консольного буфера
DescriptionРазрешение экрана 1280x1024.
В ярлыке запуска Far'а заданы размер окна и размер оконного буфера 80x25.

При первом нажатии Alt+F9 консольное окно Far'а разворачивается на весь экран с соответствующим изменением размера окна и оконного буфера 80x25 -> 91x41 (это правильно); при повторном нажатии Alt+F9 для возврата к первоначальному формату, размер окна возвращается на 80x25, однако размер оконного буфера становится 80x41 (правильно должно было стать 80x25), и в окне соответственно появляется вертикальный Scrollbar. Проблема: Far не восстанавливает первоначальную высоту экранного буфера.

Ещё раз:

Первоначальное состояние:
Screen Buffer Size 80x25
Window Size 80x25

После первого нажатия Alt+F9:
Screen Buffer Size 91x41
Window Size 91x41

После второго нажатия Alt+F9:
Screen Buffer Size 80x41 Scrollbar
Window Size 80x25
TagsNo tags attached.
Build0
Attached Files

- Relationships

-  Notes
(0015371)
rdavidiuk (reporter)
2017-06-05 22:46

Дополнение: проблема обнаружена в Far 3.0 build 4972 x86.
(0015372)
DrKnS (administrator)
2017-06-06 10:44

Так и должно быть.
Нужное вам поведение возвращается через far:config - System.WindowMode = false.
(0015373)
rdavidiuk (reporter)
2017-06-06 21:25

System.WindowMode = false - не помогло.
System.WindowMode.StickyY = true - помогло.
Результат достигнут к сожалению эксперимантально.
А где можно найти описание этих и других параметров?
(0015411)
rdavidiuk (reporter)
2017-06-10 17:02

System.WindowMode = false - помогло. Оказалось, что этот параметр вступает в силу не на лету, а после сохранения настроек и перезапуска Far'а.

Спасибо.
(0015412)
DrKnS (administrator)
2017-06-10 20:00

> А где можно найти описание этих и других параметров?

Некоторые есть в справке и для них работает Shift+F1.
Если нет - найти описание можно в changelog.

- Issue History
Date Modified Username Field Change
2017-06-05 22:43 rdavidiuk New Issue
2017-06-05 22:46 rdavidiuk Note Added: 0015371
2017-06-06 10:44 DrKnS Build => 0
2017-06-06 10:44 DrKnS Note Added: 0015372
2017-06-06 10:44 DrKnS Status new => closed
2017-06-06 10:44 DrKnS Assigned To => DrKnS
2017-06-06 10:44 DrKnS Resolution open => no change required
2017-06-06 10:44 DrKnS Fixed in Version => 3.0
2017-06-06 21:25 rdavidiuk Note Added: 0015373
2017-06-06 21:25 rdavidiuk Status closed => feedback
2017-06-06 21:25 rdavidiuk Resolution no change required => reopened
2017-06-10 17:02 rdavidiuk Note Added: 0015411
2017-06-10 17:02 rdavidiuk Status feedback => assigned
2017-06-10 20:00 DrKnS Note Added: 0015412
2017-06-10 20:00 DrKnS Status assigned => closed
2017-06-10 20:00 DrKnS Resolution reopened => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker